Bug 222975 - network init script doesn't stop VLAN_PLUS_VID_NO_PAD vlans
network init script doesn't stop VLAN_PLUS_VID_NO_PAD vlans
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: 223011 223013
  Show dependency treegraph
 
Reported: 2007-01-17 04:00 EST by Juanjo Villaplana
Modified: 2014-03-16 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0799
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:09:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/rc.d/init.d/network support for VLAN_PLUS_VID_NO_PAD vlans (627 bytes, patch)
2007-01-17 04:00 EST, Juanjo Villaplana
no flags Details | Diff

  None (edit)
Description Juanjo Villaplana 2007-01-17 04:00:38 EST
Description of problem:

vlan interfaces created with VLAN_NAME_TYPE=VLAN_PLUS_VID_NO_PAD aren't stopped
by /etc/rc.d/init.d/network.

Version-Release number of selected component (if applicable):

initscripts-7.93.25.EL-1

How reproducible:

Always

Steps to Reproduce:

1. Add the following lines on /etc/sysconfig/network:
VLAN=yes
VLAN_NAME_TYPE=VLAN_PLUS_VID_NO_PAD
2. Create a vlan interface named vlan2
3. Bring vlan2 up: ifup vlan2
4. Stop network: service network stop
  
Actual results:

The vlan interface is not stopped.

Expected results:

The vlan interface should be stopped.

Additional info:

The attached patch fixes this problem.
Comment 1 Juanjo Villaplana 2007-01-17 04:00:38 EST
Created attachment 145780 [details]
/etc/rc.d/init.d/network support for VLAN_PLUS_VID_NO_PAD vlans
Comment 2 Bill Nottingham 2007-06-22 18:26:01 EDT
In CVS for 7.93.30.EL-1. Unapproved component, so in process limbo.
Comment 8 errata-xmlrpc 2007-11-15 11:09:52 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0799.html

Note You need to log in before you can comment on or make changes to this bug.